Returns information about a license template
GET
/licenses/{name}
const url = 'https://gitea.example.com/api/v1/licenses/example';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.example.com/api/v1/licenses/example \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”name
required
string
Name of the license
Responses
Section titled “Responses”LicenseTemplateInfo
Media typeapplication/json
LicensesInfo contains information about a License
object
body
string
implementation
string
key
string
name
string
url
string
Examplegenerated
{ "body": "example", "implementation": "example", "key": "example", "name": "example", "url": "example"}APINotFound is a not found empty response
Media typeapplication/json